diff -x Makefile -ru asterisk-1.2.13.orig/channels/h323/ast_h323.cpp asterisk-1.2.13/channels/h323/ast_h323.cpp
--- asterisk-1.2.13.orig/channels/h323/ast_h323.cpp	2005-11-29 19:24:39.000000000 +0100
+++ asterisk-1.2.13/channels/h323/ast_h323.cpp	2006-11-10 18:59:51.321937440 +0100
@@ -571,19 +571,21 @@
 		options |= H323Connection::SilenceSUppressionOptionEnable;
 	}
 #endif
-	return new MyH323Connection(*this, callReference, options);
+	return new MyH323Connection(*this, callReference, options, opts);
 }
 
 /* MyH323Connection Implementation */    
 MyH323Connection::MyH323Connection(MyH323EndPoint & ep, unsigned callReference,
-							unsigned options)
+				   unsigned options, const call_options_t *opts)
 	: H323Connection(ep, callReference, options)
 {
 	cause = -1;
 	if (h323debug) {
 		cout << "	== New H.323 Connection created." << endl;
 	}
-	return;
+
+	progressSetup = (opts && opts->progress_setup);
+	progressAlert = (opts && opts->progress_alert);
 }
 
 MyH323Connection::~MyH323Connection()
diff -x Makefile -ru asterisk-1.2.13.orig/channels/h323/ast_h323.h asterisk-1.2.13/channels/h323/ast_h323.h
--- asterisk-1.2.13.orig/channels/h323/ast_h323.h	2005-11-29 19:24:39.000000000 +0100
+++ asterisk-1.2.13/channels/h323/ast_h323.h	2006-11-10 18:56:25.151280144 +0100
@@ -150,7 +150,7 @@
 	PCLASSINFO(MyH323Connection, H323Connection);
 
 	public:
-	MyH323Connection(MyH323EndPoint &, unsigned, unsigned);
+	MyH323Connection(MyH323EndPoint &, unsigned, unsigned, const call_options_t *);
 	~MyH323Connection();
 	H323Channel * CreateRealTimeLogicalChannel(const H323Capability &, 
 						   H323Channel::Directions, 
